#pragma once

#include "CoreMinimal.h"
#include "BoolValueStrategy.h"
#include "DBDTunableRowHandle.h"
#include "TunableBoolValueStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDSHAREDTYPES_API UTunableBoolValueStrategy : public UBoolValueStrategy
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle _value;

public:
	UTunableBoolValueStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UTunableBoolValueStrategy) { return 0; }
